package org.nkumar.ant.trace.model;

import com.intellij.openapi.editor.Document;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.editor.EditorFactory;

/**
 * This is the model class that holds the data to be displayed.
 * It basically contains the left and the right text content.
 * It also has an array of line numbers from both sides,
 * each separating matching paras in both the panes.
 */
public final class DataHolder
{
    private final String leftContent;
    private final String rightContent;

    private final int[] leftLineIntervals;
    private final int[] rightLineIntervals;


    public DataHolder(final String leftContent, final int[] leftLineIntervals, final String rightContent,
            final int[] rightLineIntervals)
    {
        this.leftContent = leftContent;
        this.leftLineIntervals = leftLineIntervals;
        this.rightContent = rightContent;
        this.rightLineIntervals = rightLineIntervals;
    }


    public String getLeftContent()
    {
        return leftContent;
    }

    public int[] getLeftLineIntervals()
    {
        return leftLineIntervals;
    }

    public String getRightContent()
    {
        return rightContent;
    }

    public int[] getRightLineIntervals()
    {
        return rightLineIntervals;
    }
}
