package org.nkumar.ant.trace.ui;

import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.editor.Document;
import com.intellij.openapi.editor.EditorFactory;

import org.nkumar.ant.trace.model.DataHolder;

public final class UiDataHolder
{
    private final DataHolder dataHolder;
    private final Editor leftEditor;
    private final Editor rightEditor;

    public UiDataHolder(DataHolder dataHolder)
    {
        this.dataHolder = dataHolder;
        final EditorFactory editorFactory = EditorFactory.getInstance();
        Document leftDocument = editorFactory.createDocument(dataHolder.getLeftContent());
        Document rightDocument = editorFactory.createDocument(dataHolder.getRightContent());
        leftEditor = editorFactory.createViewer(leftDocument);
        rightEditor = editorFactory.createViewer(rightDocument);
    }

    public int[] getLeftLineIntervals()
    {
        return dataHolder.getLeftLineIntervals();
    }

    public int[] getRightLineIntervals()
    {
        return dataHolder.getRightLineIntervals();
    }

    public Editor getLeftEditor()
    {
        return leftEditor;
    }

    public Editor getRightEditor()
    {
        return rightEditor;
    }
}
